# ba_bank version: 2.5.6 BETA
import es, path

gamedir = path.path(str(es.ServerVar('eventscripts_gamedir')))

class Bank(object):
    def __init__(self):
        if not filter(lambda x: 'ba_bank' in x,es.addons.getAddonList()):
            es.load('ba_bank')
        self.ba_bank = __import__('ba_bank.ba_bank',fromlist=['ba_bank'],level=0)
        self.db = self.ba_bank.db
        
    def execute(self,sql,save=False):
        self.db.cur.execute(sql)
        if save:
            self.db.con.commit()
            
    def result(self):
        return self.db.cur.fetchone()[0]
    
    def getBalance(self,userid):
        steamid = es.getplayersteamid(userid)
        self.execute("SELECT balance FROM accounts WHERE steamid='%s'" % steamid)
        return int(self.result())
    
    def pay(self,userid,amount):
        steamid = es.getplayersteamid(userid)
        amount = self.getBalance(userid) - amount
        self.execute("UPDATE accounts SET balance='%d' WHERE steamid='%s'" % (amount,steamid),True)
        account = self.ba_bank.find(userid)
        account.balance = self.getBalance(userid)